/**
 * Copyright (c) 2011-2014, hubin (jobob@qq.com).
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.zbkj.service.config;

/**
 * <b> 支付通道定义 </b>
 * @author ZXF
 * @create 2025/07/01 0001 14:14
 * @version
 * @注意事项 </b>
 */
public enum PaymentChannel {
	HUIFU("HUIFU", "HuifuWalletServiceImpl", "汇付支付"),
	WANGSHANG("WANGSHANG", "WangShangWalletServiceImpl", "网商支付");

	private final String name;
	private final String service;

	private final String lable;

	PaymentChannel(final String name, final String service, final String lable) {
		this.name = name;
		this.service = service;
		this.lable = lable;
	}

	/**
	 * <p>
	 * 获取优化类型.如果没有找到默认null
	 * </p>
	 * 
	 * @param name
	 *            优化方式
	 * @return
	 */
	public static PaymentChannel getByName(String name) {
		for (PaymentChannel pc : PaymentChannel.values()) {
			if (pc.getName().equalsIgnoreCase(name)) {
				return pc;
			}
		}
		return null;
	}

	public String getName() {
		return name;
	}

	public String getService() {
		return service;
	}

	public String getLable() {
		return lable;
	}
}
